Package org.apache.commons.collections4.functors

# Enum ComparatorPredicate.Criterion

java.lang.Object
java.lang.Enum<ComparatorPredicate.Criterion>
org.apache.commons.collections4.functors.ComparatorPredicate.Criterion

All Implemented Interfaces:
  `Serializable`, `Comparable<ComparatorPredicate.Criterion>`

Enclosing class:
  `ComparatorPredicate<T>`

public static enum ComparatorPredicate.Criterion extends Enum<ComparatorPredicate.Criterion>
Enumerates the comparator criteria.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EQUAL`
  Equal criterion.
  `GREATER`
  Greater criterion.
  `GREATER_OR_EQUAL`
  Greater or equal criterion.
  `LESS`
  Less criterion.
  `LESS_OR_EQUAL`
  Less or equal Criterion.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ComparatorPredicate.Criterion`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ComparatorPredicate.Criterion[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EQUAL

    public static final ComparatorPredicate.Criterion EQUAL
    Equal criterion.

  - ### GREATER

    public static final ComparatorPredicate.Criterion GREATER
    Greater criterion.

  - ### LESS

    public static final ComparatorPredicate.Criterion LESS
    Less criterion.

  - ### GREATER_OR_EQUAL

    public static final ComparatorPredicate.Criterion GREATER_OR_EQUAL
    Greater or equal criterion.

  - ### LESS_OR_EQUAL

    public static final ComparatorPredicate.Criterion LESS_OR_EQUAL
    Less or equal Criterion.

- ## Method Details

  - ### values

    public static ComparatorPredicate.Criterion[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ComparatorPredicate.Criterion valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null